core::ConsoleServer Class Reference

`#include <ConsoleServer.h>`

Inheritance diagram for core::ConsoleServer:
[legend]
Collaboration diagram for core::ConsoleServer:
[legend]

## Public Member Functions

| ConsoleServer (EPoll &ePoll, IPAddress address)
void | logSend (std::string out) override
TCPSession * | getSocketAccept (EPoll &ePoll) override
Public Member Functions inherited from core::TCPServer
| TCPServer (EPoll &ePoll, IPAddress address, std::string text="")
| ~TCPServer ()
void | removeFromSessionList (TCPSession *session)
virtual void | sessionErrorHandler (std::string errorString, std::stringstream &out)
void | output (TCPSession *session)
| Output the consoles array to the console. More...
Public Member Functions inherited from core::TCPSocket
| TCPSocket (EPoll &ePoll)
| TCPSocket (EPoll &ePoll, std::string text)
| ~TCPSocket ()
void | connect (IPAddress &address)
virtual void | output (std::stringstream &out)
Public Member Functions inherited from core::Socket
| Socket (EPoll &ePoll, std::string text="")
| ~Socket ()
void | shutdown (std::string text="unknown")
void | setDescriptor (int descriptor)
| Set the descriptor for the socket. More...
int | getDescriptor ()
| Get the descriptor for the socket. More...
bool | eventReceived (struct epoll_event event)
| Parse epoll event and call specified callbacks. More...
int | write (std::string data)
void | write (char *buffer, int length)
void | output (std::stringstream &out)
virtual void | onRegister ()
| Called before the socket has registered with the epoll processing. More...
virtual void | onRegistered ()
| Called after the socket has been registered with epoll processing. More...
virtual void | onUnregister ()
virtual void | onUnregistered ()
| Called when the socket has finished unregistering for the epoll processing. More...
bool | needsToWrite ()
Public Member Functions inherited from core::Command
virtual bool | check (std::string request)
virtual void | output (Session *session)
void | setName (std::string name)
std::string | getName ()

## Additional Inherited Members

Public Attributes inherited from core::TCPServer
IPAddressList * | blackList
IPAddressList * | whiteList
std::vector< TCPSession * > | sessions
CommandList | commands
Public Attributes inherited from core::TCPSocket
IPAddress | ipAddress
Public Attributes inherited from core::Socket
bool | reset = false
Public Attributes inherited from core::Object
std::string | name
std::string | tag
Protected Member Functions inherited from core::TCPServer
void | onDataReceived (std::string data) override
int | processCommand (std::string command, TCPSession *session, std::stringstream &data) override
Protected Member Functions inherited from core::Socket
void | setBufferSize (int length)
int | getBufferSize ()
virtual void | onDataReceived (char *buffer, int len)
virtual void | receiveData (char *buffer, int bufferLength)
Protected Attributes inherited from core::Socket
EPoll & | ePoll
bool | shutDown = false

## Constructor & Destructor Documentation

## ConsoleServer()

core::ConsoleServer::ConsoleServer | ( | EPoll & | ePoll,
|  | IPAddress | address
| ) |  |

## Member Function Documentation

## getSocketAccept()

TCPSession * core::ConsoleServer::getSocketAccept | ( | EPoll & | epoll | ) |

overridevirtual

getSocketAccept is designed to allow a polymorphic extension of this object to return a type of object that extends the definition of the server socket. Returning the appropriate session object that extends from Session provides the mechanism where the server can select the protocol dialog for the desired service.

Reimplemented from core::TCPServer.

## logSend()

void core::ConsoleServer::logSend | ( | std::string | out | ) |

override

The documentation for this class was generated from the following files:

- ConsoleServer.h
- ConsoleServer.cpp